Skip to main content
POST
/
api
/
v2
/
backoffice
/
role-snapshots
Manually create a snapshot for a role
curl --request POST \
  --url https://sandbox.killb.app/api/v2/backoffice/role-snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roleId": "<string>",
  "changeType": "create",
  "reason": "<string>"
}
'
{
  "id": "<string>",
  "roleId": "<string>",
  "roleName": "<string>",
  "snapshotData": {},
  "changeType": "create",
  "changedBy": "<string>",
  "reason": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
roleId
string
required
changeType
enum<string>
required
Available options:
create,
update,
delete
reason
string

Response

id
string
required
roleId
string
required
roleName
string
required
snapshotData
object
required
changeType
enum<string>
required
Available options:
create,
update,
delete
changedBy
string
required
reason
string
required
createdAt
string<date-time>
required